=== debian/changelog ===
libkdegames (4:24.12.3-1ubuntu2) plucky; urgency=medium

  * Mark a symbol as optional.

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Mar 2025 21:57:04 +0000

libkdegames (4:24.12.3-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Mar 2025 12:05:24 +0000

libkdegames (4:24.12.3-1) unstable; urgency=medium

  * New upstream release
  * Team upload

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Fri, 07 Mar 2025 15:52:27 +0100
