=== debian/control ===
Source: libkdegames
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Scarlett Moore <sgmoore@debian.org>,
Build-Depends: cmake (>= 3.16.0~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 6.0.0~),
               gettext,
               libkf6archive-dev (>= 6.0.0~),
               libkf6colorscheme-dev (>= 6.0.0~),
               libkf6completion-dev (>= 6.0.0~),
               libkf6config-dev (>= 6.0.0~),
               libkf6configwidgets-dev (>= 6.0.0~),
               libkf6dnssd-dev (>= 6.0.0~),
               libkf6guiaddons-dev (>= 6.0.0~),
               libkf6i18n-dev (>= 6.0.0~),
               libkf6iconthemes-dev (>= 6.0.0~),
               libkf6newstuff-dev (>= 6.0.0~),
               libkf6xmlgui-dev (>= 6.0.0~),
               libopenal-dev,
               qt6-svg-dev (>= 6.5.0~),
               libsndfile1-dev,
               pkg-kde-tools (>= 0.14),
               qt6-base-dev (>= 6.5.0+dfsg~),
               qt6-declarative-dev (>= 6.5.0+dfsg~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://games.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkdegames
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkdegames

Package: kdegames-card-data
Architecture: all
Section: games
Multi-Arch: foreign
Depends: ${misc:Depends},
Breaks: kdegames-card-data-kf5
Replaces: kdegames-card-data-kf5
Description: card decks for KDE games
 This package contains a collection of playing card themes
 for KDE card games.
 .
 This package is part of the KDE games module.

Package: libkdegames6-i18n
Architecture: all
Depends: ${misc:Depends},
Multi-Arch: foreign
Description: Localiztion files for the KDE games library
 This package contains localization files.
 .
 This package is part of the KDE games module.

Package: libkdegames6-dev
Architecture: any
Section: libdevel
Depends: libkf6completion-dev (>= 6.0.0~),
         libkf6configwidgets-dev (>= 6.0.0~),
         libkdegames6-6 (= ${binary:Version}),
         libkdegames6private6 (= ${binary:Version}),
         libkf6colorscheme-dev (>= 6.0.0~),
         qml6-module-org-kde-games-core (= ${binary:Version}),
         qt6-base-dev (>= 6.5.0+dfsg~),
         qt6-declarative-dev (>= 6.5.0+dfsg~),
         ${misc:Depends},
Multi-Arch: same
Description: development files for the KDE games library
 This package contains development files for building
 software that uses libraries from the KDE games module.
 .
 This package is part of the KDE games module.

Package: libkdegames6-6
Architecture: any
Multi-Arch: same
Depends: libkdegames6-i18n (= ${source:Version}),
         ${misc:Depends}, ${shlibs:Depends},
Description: shared library for KDE games
 This package contains a shared library used by KDE games.
 .
 This package is part of the KDE games module.

Package: libkdegames6private6
Architecture: any
Multi-Arch: same
Depends: libkdegames6-i18n (= ${source:Version}),
         ${misc:Depends}, ${shlibs:Depends},
Description: private part of shared library for KDE games
 This package contains the private parts of the shared
 library used by KDE
 games.
 .
 This package is part of the KDE games module.

Package: qml6-module-org-kde-games-core
Architecture: any
Depends: ${qml6:Depends}, ${misc:Depends}, ${shlibs:Depends},
Multi-Arch: same
Description: kde-games-core QtDeclarative QML support
 Contains a plugin for QtDeclarative that provides
 support for using KDE-games-core to components written
 in QML.
 .
 This package is part of the KDE games module.
