=== debian/changelog ===
libkdegames (4:25.04.0-2) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Fix upstream source URL stanza in debian/copyright.

  [ Pino Toscano ]
  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.
  * Update symbols file. (Closes: #1114174)
  * Trim trailing whitespace.

 -- Pino Toscano <pino@debian.org>  Fri, 10 Oct 2025 08:20:07 +0200

libkdegames (4:25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2, no change required.
  * Update project homepage.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 22:02:04 +0200
