## libkdegames 25.04.1

=== debian/changelog ===
libkdegames (4:25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:16:39 +0100

libkdegames (4:25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)
  * Add libkf6iconthemes-dev depends to libkdegames6-dev

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 20:01:30 +0100
