=== src/CMakeLists.txt ===
--- 
+++ 
@@ -128,6 +128,7 @@
         KF6::XmlGui
         KF6::GuiAddons
         KF6::Completion
+        KF6::ColorScheme
         Qt6::Xml
         Qt6::Svg
         Qt6::Quick
