=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: libkdegames
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Scarlett Moore <sgmoore@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16.0~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               cmake (>= 3.16.0~),
                extra-cmake-modules (>= 6.0.0~),
                gettext,
                libkf6archive-dev (>= 6.0.0~),
@@ -30,18 +31,19 @@
                qt6-svg-dev (>= 6.5.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.2
-Homepage: https://invent.kde.org/games/libkdegames
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libkdegames
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libkdegames.git
+Standards-Version: 4.7.0
+Rules-Requires-Root: no
+Homepage: https://games.kde.org/
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkdegames
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkdegames
 
 Package: kdegames-card-data
 Architecture: all
 Section: games
 Multi-Arch: foreign
 Depends: ${misc:Depends},
-Breaks: kdegames-card-data-kf5,
-Replaces: kdegames-card-data-kf5,
+Breaks: kdegames-card-data-kf5
+Replaces: kdegames-card-data-kf5
 Description: card decks for KDE games
  This package contains a collection of playing card themes
  for KDE card games.
@@ -65,6 +67,7 @@
          libkf6colorscheme-dev (>= 6.0.0~),
          libkf6completion-dev (>= 6.0.0~),
          libkf6configwidgets-dev (>= 6.0.0~),
+         libkf6iconthemes-dev (>= 6.0.0~),
          qml6-module-org-kde-games-core (= ${binary:Version}),
          qt6-base-dev (>= 6.5.0+dfsg~),
          qt6-declarative-dev (>= 6.5.0+dfsg~),
@@ -80,8 +83,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: libkdegames6-i18n (= ${source:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends},
+         ${misc:Depends}, ${shlibs:Depends},
 Description: shared library for KDE games
  This package contains a shared library used by KDE games.
  .
@@ -91,8 +93,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: libkdegames6-i18n (= ${source:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends},
+         ${misc:Depends}, ${shlibs:Depends},
 Description: private part of shared library for KDE games
  This package contains the private parts of the shared
  library used by KDE
@@ -102,7 +103,7 @@
 
 Package: qml6-module-org-kde-games-core
 Architecture: any
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Depends: ${qml6:Depends}, ${misc:Depends}, ${shlibs:Depends},
 Multi-Arch: same
 Description: kde-games-core QtDeclarative QML support
  Contains a plugin for QtDeclarative that provides
