=== debian/changelog ===
libkdegames (4:25.08.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (25.08.3).

 -- Boyuan Yang <byang@debian.org>  Wed, 10 Dec 2025 12:23:28 -0500
