## libkdegames 25.08.3+p24.04+vstable+git20251204.0849

=== debian/changelog ===
libkdegames (4:25.08.3+p24.04+vstable+git20251204.0849-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 08:49:49 +0000

libkdegames (4:25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:39:56 +1000
