## libkdegames 25.08.3+p24.04+vunstable+git20251113.0735

=== debian/changelog ===
libkdegames (4:25.08.3+p24.04+vunstable+git20251113.0735-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 13 Nov 2025 07:35:22 +0000
