## libkdegames 25.12.0+p24.04+vunstable+git20260101.0243

=== debian/changelog ===
libkdegames (4:25.12.0+p24.04+vunstable+git20260101.0243-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 01 Jan 2026 02:43:52 +0000
