## libkdegames 25.12.1+p24.04+vstable+git20260106.1620

=== debian/changelog ===
libkdegames (4:25.12.1+p24.04+vstable+git20260106.1620-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 16:20:44 +0000
