## libkdegames 25.12.1+p24.04+vstable+git20260128.0745

=== debian/changelog ===
libkdegames (4:25.12.1+p24.04+vstable+git20260128.0745-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 28 Jan 2026 07:45:44 +0000
