=== debian/changelog ===
libkdegames (4:25.12.1+p24.04+vunstable+git20260106.1623-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 16:23:25 +0000
