## libkdegames 25.12.2+p24.04+vstable+git20260206.1532

=== debian/changelog ===
libkdegames (4:25.12.2+p24.04+vstable+git20260206.1532-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 15:33:09 +0000

libkdegames (4:25.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 06:27:22 +0000
